- entityDefinitions:
  - IDM_Report_Definition__get__Sort_Descriptors:    '{46d87458-9289-4760-ad12-1a086f579f36}'
  - IDMB_Report_Definition__get__Sort_Descriptors: '{ad5ff4c7-1271-464a-8fa2-6b85c92c2b62}'
  - IDMB_Custom_Report_Definition__get__Sort_Descriptors: '{566205d1-3640-48c4-a0af-778145de81c6}'
  - IDI_WorkSet_ReportSortDescriptorNonsingular: '{f41c6595-6403-4c47-b907-18856dffa37a}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ReportSortDescriptorNonsingular;'
    name: 'Report Sort Descriptor [Nonsingular]'
    singular: no

  - getReferencedInstanceSetMethod: '&IDM_Report_Definition__get__Sort_Descriptors;'
    forClassId: '&IDC_ReportDefinition;'
    returnsWorkSetId: '&IDI_WorkSet_ReportSortDescriptorNonsingular;'
    verb: 'get'
    name: 'Sort Descriptors'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_ReportDefinition;'
    answerInstanceSet: '&IDR_Report_Definition__has__Report_Sort_Descriptor;'
    singular: no
    
  - returnInstanceSetMethodBinding: '&IDMB_Report_Definition__get__Sort_Descriptors;'
    executesMethod: '&IDM_Report_Definition__get__Sort_Descriptors;'

  - returnInstanceSetMethodBinding: '&IDMB_Custom_Report_Definition__get__Sort_Descriptors;'
    executesMethod: '&IDM_Report_Definition__get__Sort_Descriptors;'
    parameterAssignments:
    - globalIdentifier: '{f9485942-df25-4b44-a4e0-b5ef4c671460}'
      assignsToParameter: '&IDC_ReportDefinition;'
      assignsFromWorkData: '&IDC_CustomReportDefinition;'